## elfutils 0.147

=== debian/changelog ===
elfutils (0.147-2) unstable; urgency=low

  * Open the proper file with debug info in case they have the same
    name.  (Closes: #555549)

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 17 Jun 2010 18:38:27 +0200

elfutils (0.147-1) unstable; urgency=low

  * New upstream release

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 24 May 2010 10:49:05 +0200

elfutils (0.146-1) unstable; urgency=low

  * New upstream release
    - adds better support for the sh arch
    - Add build-depedency on liblzma-dev
    - Add build-depedency on gettext
    - Add tanslations to libelf1.  All packges making use of those
      files depend on it.
    - New symbols dwfl_core_file_report in libdw1, update symbol file.
  * Call configure with --enable-thread-safety

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 24 Apr 2010 11:55:24 +0200

elfutils (0.145-1) unstable; urgency=low

  * New upstream release
  * Make elfutils depend libdw1 (= ${binary:Version}).  The static libebl.a
    that it used by the applications in changes MODVERSION on rebuild.  It's
    the only thing making use of libebl.a

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 24 Feb 2010 19:36:07 +0100

elfutils (0.144-1) unstable; urgency=low

  * New upstream version
    - Fixes segfault in systemtap (Closes: #556133)
    - Remove elflint-comment.diff and nobits.diff, applied upstream.
    - dwarf_aggregate_size got added in libdw1,
      elf_getphdrnum got added to libelf: update symbol file.
  * Switch to dpkg-source 3.0 (quilt) format
  * hppa: Use dwarf_aggregate_size().
  * Add ${misc:Depends} to all packages
  * Change Standards-Version to 3.8.4, no changes required.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 15 Feb 2010 23:27:18 +0100

elfutils (0.143-2) unstable; urgency=low

  * Prevent segfault from debug only files.  (Closes: #556133)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 16 Nov 2009 18:22:43 +0100

elfutils (0.143-1) unstable; urgency=low

  * New upstream release.
    - Upstream added new symbols in libdw1, adjust symbol file.
  * Remove the fix-bswap-warnings.diff and pointer_cast.diff
    patch, they weren't used anyway.
  * Remove posix_fadvise.diff and namelen.diff, applied upstream.
  * Add elflint-comment.diff, from upstream git.  Fixes a regression
    suite error with newer binutils.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 21 Sep 2009 21:06:21 +0000

elfutils (0.142-1) unstable; urgency=low

  * New upstream version
  * Provide a static version of libdw.  Do not use it unless you
    know what you're doing.  (Closes: #538375)
  * Replace elf_getshstrndx by elf_getshdrstrndx in the mips backend.
    elf_getshstrndx has been deprecated.
  * Upstream added new symbols, adjust symbol files.

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 14 Aug 2009 13:56:30 +0200

elfutils (0.141-2) unstable; urgency=low

  * Make libdw-dev Depend on libdw1 (Closes: #526824)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 03 May 2009 22:07:59 +0200

elfutils (0.141-1) unstable; urgency=low

  * New upstream release
    - Update redhat-robustify.diff and redhat-portability.diff
    - Remove redhat-strip-copy-symtab.diff, does not seem to be used anymore.
      Also remove things in the rules file that deal with it, and
      drop sharutils from build-depends.
    - Remove elflint_initialization.diff, unaligned.diff, pointer_cast.diff,
      gnu_inline.diff, readelf_subelf.diff, gcc-4.3_support: applied or
      fixed some other way upstream
  * Update watch file to new location.
  * Make libasm-dev conflict with libasm0-dev (Closes: #509042)
  * Create a shared version of libdw, and move libebl's file
    in the libdw1 package.  Drop the static versions of libdw and libebl.
    There is no libebl-dev anymore.  (Closes: #457543)
  * Add elfutils/version.h to libelf-dev
  * Run test suite with LC_CTYPE=C, to have the same sort ordering.
  * Add Build-Dependency on zlib1g-dev, libbz2-dev and m4.
  * Start using dpkg-gensymbols:
    - libasm1: Upstream added disasm_begin, disasm_cb, disasm_end
      and disasm_str to ELFUTILS_1.0 in 0.132, the others are there
      since 0.120.
    - libelf1: ELFUTILS_1.2 was added in 0.122, ELFUTILS_1.3 in
      0.130 and ELFUTILS_1.4 in 0.132.  gelf_rawchunk
      and gelf_freechunk got removed in 0.131.
    - libdw1: Versions are when get got introduced.  dwarf_getelf
      was removed from ELFUTILS_0.122 and changed to ELFUTILS_0.126
      in 0.126
  * libasm1 and libelf1 added new functions, bump shlibs
  * Update Standards-Version to 3.8.1
    - Change ${Source-Version} to ${binary:Version}
    - Add support for DEB_BUILD_OPTIONS nocheck
    - Add upstream Homepage
  * Don't use -$(MAKE) distclean
  * Remove debian/dirs file.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 02 May 2009 16:30:39 +0200

elfutils (0.131-4) unstable; urgency=low

  * Move static functions the only file that uses it.  Avoids warning
    using gcc-4.3.  Thanks to Maximiliano Curia for the patch.
    (Closes: #467103)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 05 Apr 2008 13:40:13 +0000

elfutils (0.131-3) unstable; urgency=low

  * Add m68k backend.
  * Fix copyright file to point to /usr/share/common-licenses/GPL-2

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 26 Dec 2007 19:53:09 +0100

elfutils (0.131-2) unstable; urgency=low

  * Bump shlibs for libelf1 since it added new functions.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 17 Dec 2007 18:33:45 +0100

elfutils (0.131-1) unstable; urgency=low

  * New usptream version. (Closes: #455878)
    - ebl_core_note() changed function arguments.
    - libelf: Add functions: gelf_getauxv(), gelf_update_auxv(),
      gelf_getnote(), elf_getdata_rawchunk().
      removed gelf_rawchunk(), gelf_freechunk()
    - Changed some types from off_t to off64_t.  The library
      was always build with LFS, so it's just a correction of the types.
  * merge patches
  * arm, hppa and mips backend: Use dwarf_attr_integrate() instead of
    dwarf_attr(), and dwarf_hasattr_integrate() instead of dwarf_hasattr().


## elfutils 0.148

=== debian/changelog ===
elfutils (0.148-1) unstable; urgency=low

  * New upstream release
    - Drop debug_filename.patch, applied upstream.
    - New symbols in libdw1, update symbols file.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 03 Jul 2010 15:01:59 +0200

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://fedorahosted.org/releases/e/l/elfutils/elfutils-(.*).tar.bz2

## elfutils 0.194

=== Makefile ===
# Copyright (c) Meta Platforms, Inc. and affiliates.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

prefix = /usr/local
N = 10
BINARIES := $(patsubst %,compressme%,$(shell seq 1 $(N)))

all: $(BINARIES)

compressme%:: compressme.c
	gcc -g -O2 -DX=$* compressme.c -o $@

install: all
	install -D -t $(DESTDIR)/$(prefix)/bin $(BINARIES)

clean:
	rm -f $(BINARIES)

.PHONY: all install clean

## elfutils 0.152

=== debian/changelog ===
elfutils (0.152-1ubuntu3) precise; urgency=low

  [ Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org> ]
  * Convert to multiarch. (LP: #934433)
  * Switched to use 'dh_prep' instead of 'dh_clean -k'

 -- Evan Broder <evan@ebroder.net>  Tue, 06 Mar 2012 23:34:49 -0800

elfutils (0.152-1ubuntu2) precise; urgency=low

  * Rebuild for liblzma5.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Nov 2011 09:06:38 -0400

elfutils (0.152-1ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2011 11:19:43 +0200

elfutils (0.152-1) unstable; urgency=low

  * New upstream release
    - Update portability and robustify patch.
    - Update symbol file for libdw1, 2 new functions.
  * Remove obsolete files from the debian dir.
  * Update watch file to work with newer versions.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 08 Sep 2010 19:54:20 +0200

=== debian/control ===
Source: elfutils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kurt Roeckx <kurt@roeckx.be>
Uploaders: Christian Aichinger <Greek0@gmx.net>
Build-Depends: debhelper (>= 8.1.3), autotools-dev, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.8.4
Section: libs
Homepage: https://fedorahosted.org/elfutils/

Package: elfutils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, libdw1 (= ${binary:Version}), ${misc:Depends}
Description: collection of utilities to handle ELF objects
 Elfutils is a collection of utilities, including eu-ld (a linker),
 eu-nm (for listing symbols from object files), eu-size (for listing the
 section sizes of an object or archive file), eu-strip (for discarding
 symbols), eu-readelf (to see the raw ELF file structures), and eu-elflint
 (to check for well-formed ELF files).

Package: libelf1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library to read and write ELF files
 The libelf1 package provides a shared library which allows reading and
 writing ELF files on a high level.  Third party programs depend on
 this package to read internals of ELF files.  The programs of the
 elfutils package use it also to generate new ELF files.
 .
 This library is part of elfutils.

Package: libelf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libelf1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libelfg0-dev
Description: libelf1 development libraries and header files
 libelf1 provides a shared library which allows reading and writing of ELF
 files on a high level.
 .
 This package contains development libraries and header files for libelf1.

Package: libdw-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libelf-dev, libdw1 (= ${binary:Version}), ${misc:Depends}
Description: libdw1 development libraries and header files
 libdw1 provides a library that provides access to DWARF debug information
 stored inside ELF files.
 .
 This package contains development libraries and header files for libdw1.
 .
 It also contains a static version of libdw.  Only link to the static version
 for special cases and when you don't need anything from the ebl backends.

Package: libdw1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library that provides access to the DWARF debug information
 libdw1 provides a library that provides access to DWARF debug information
 stored inside ELF files.
 .
 This library is part of elfutils.

Package: libasm1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library with a programmable assembler interface
 The libasm1 package provides a library with a programmable assembler
 interface.  It allows you to create ELF files on a low level.
 .
 This library is part of elfutils.

Package: libasm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libasm1 (= ${binary:Version}), libelf-dev, ${misc:Depends}
Conflicts: libelfsh0-dev, libasm0-dev
Description: libasm development libraries and header files
 libasm1 allows you to create ELF files on a low level.
 .
 This package contains development libraries and header files for libasm1.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Copyright 2006, Kurt Roeckx <kurt@roeckx.be>

# Based on the sample file from dh-make:
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
        confflags += --build=$(DEB_HOST_GNU_TYPE)
        make_check = yes
else
        confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
        make_check = no
endif

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
        make_check = no
endif

CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	rm -f config/config.guess config/config.sub
	ln -s /usr/share/misc/config.guess config/config.guess
	ln -s /usr/share/misc/config.sub config/config.sub
	CFLAGS="$(CFLAGS)" ./configure $(confflags) --prefix=/usr \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--program-prefix=eu- --enable-thread-safety

build: build-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE)

ifeq ($(make_check), yes)
	# Check that those files exist.
	-ls -l /proc/$$$$/maps
	-ls -l /proc/$$$$/auxv
	-ls -l /proc/$$$$/
	LC_CTYPE=C $(MAKE) check
endif

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config/config.guess config/config.sub elfutils.spec
	rm -rf autom4te.cache

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# We do not provide a libebl anymore, use libdw instead.
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libebl.a
	rm debian/tmp/usr/include/elfutils/libebl.h

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install --fail-missing --sourcedir=debian/tmp
	dh_strip
	dh_compress
	dh_fixperms
	dpkg-gensymbols -Pdebian/libdw1/ -plibdw1 -c4
	dpkg-gensymbols -Pdebian/libasm1/ -plibasm1 -c4
	dpkg-gensymbols -Pdebian/libelf1/ -plibelf1 -c4
	dh_makeshlibs -plibelf1 -V "libelf1 (>= 0.132)"
	dh_makeshlibs -plibasm1 -V "libasm1 (>= 0.132)"
	dh_makeshlibs -plibdw1 -V "libdw1 (>= 0.138)"
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

maint-unpatch:
	bash debian/unpatch.sh debian/patches

.PHONY: build clean binary-indep binary-arch binary install maint-unpatch

## elfutils 0.153

=== debian/changelog ===
elfutils (0.153-1ubuntu1.1) quantal-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution in libdw
    via malicious ELF file
    - debian/patches/CVE-2014-0172.patch: check for overflow in
      libdw/dwarf_begin_elf.c.
    - CVE-2014-0172

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Apr 2014 13:58:35 -0400

elfutils (0.153-1ubuntu1) quantal; urgency=low

  * Fix build-arch and build-indep targets to not require root.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 10 Aug 2012 13:16:09 -0600

elfutils (0.153-1) unstable; urgency=low

  [ Jonathan Nieder <jrnieder@gmail.com> ]
  * Run autotools at build time.
    - debian/control: Build-Depends: autoconf, automake.
    - debian/rules:
      - config.status:
        - depend on configure.ac, not configure.
        - autoreconf -fis.
      - clean: remove autotools-generated files to avoid .diff.gz
        changes when built twice in a row.
    - debian/patches: remove do-autoreconf.diff.

  [ Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org> ]
  * Convert to multiarch. (Closes: #657139)
  * Added build-{arch,indep} targets.
  * Switched to use 'dh_prep' instead of 'dh_clean -k'

  [ Kurt Roeckx ]
  * New upstream release
    - Portability patch has workaround for broken bswap_32 macro.
      This should also have been fixed in glibc code.  (Closes: #595496)
    - Fix bashism in configure script (Closes: #647350)
  * Remove Christian Aichinger from uploaders (Closes: #661119)
  * Make the m68k port functional, thanks to a patch from
    Thorsten Glaser <tg@mirbsd.de> (Patch in #595496, #384794)
  * Fix test suite to set up test environment (alldts.patch).
  * Use dpkg-buildflags.  Build-Depend on dpkg-dev (>= 1.16.1~) for
    buildflags.mk.
  * Call configure with --enable-maintainer-mode so all files get regenerated
    Also add Build-Depends on gawk for this to work.
  * Revert %m[ to %a[ change in addr2line and line2addr from the portability
    patch.
  * Clean up more files (Makefile.in, libdw/known-dwarf.h)
  * Set libdir to the multiarch dir, so that the rpath gets set up correctly
    and that we don't have to move the files in the rules file.
 
 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 24 Feb 2012 20:23:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Uploaders: Christian Aichinger <Greek0@gmx.net>
-Build-Depends: debhelper (>= 8.1.3), autotools-dev, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext
+Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~)
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.8.4
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -31,21 +31,16 @@
         make_check = no
 endif
 
-CFLAGS = -g
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-config.status: configure
+config.status: configure.ac
 	dh_testdir
-	rm -f config/config.guess config/config.sub
-	ln -s /usr/share/misc/config.guess config/config.guess
-	ln -s /usr/share/misc/config.sub config/config.sub
-	CFLAGS="$(CFLAGS)" ./configure $(confflags) --prefix=/usr \
+	autoreconf -fis
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
+		./configure $(confflags) --prefix=/usr \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		--enable-maintainer-mode \
 		--program-prefix=eu- --enable-thread-safety
 
 build: build-stamp
@@ -68,11 +63,14 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-
-	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
+	rm -f configure version.h
+	rm -f INSTALL aclocal.m4
+	rm -f config/depcomp config/install-sh config/missing config/ylwrap
 	rm -f config/config.guess config/config.sub elfutils.spec
 	rm -rf autom4te.cache
+	rm -f rm Makefile.in backends/Makefile.in config/Makefile.in lib/Makefile.in libasm/Makefile.in libcpu/Makefile.in libdw/Makefile.in libdwfl/Makefile.in libebl/Makefile.in libelf/Makefile.in m4/Makefile.in src/Makefile.in tests/Makefile.in
+	rm -f libdw/known-dwarf.h
 
 	dh_clean
 
@@ -89,11 +87,13 @@
 	rm debian/tmp/usr/include/elfutils/libebl.h
 
 # Build architecture-independent files here.
-binary-indep: build install
+build-indep: build
+binary-indep: build-indep install
 # We have nothing to do.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+build-arch: build
+binary-arch: build-arch install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog

## elfutils 0.157

=== debian/changelog ===
elfutils (0.157-1ubuntu1.1) saucy-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution in libdw
    via malicious ELF file
    - debian/patches/CVE-2014-0172.patch: check for overflow in
      libdw/dwarf_begin_elf.c.
    - CVE-2014-0172

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Apr 2014 13:55:40 -0400

elfutils (0.157-1ubuntu1) saucy; urgency=low

  * Don't run the testsuite on AArch64, native test are failing.
    Requires a (not yet implemented) backend.

 -- Matthias Klose <doko@18xx.org>  Wed, 09 Oct 2013 10:35:10 +0200

elfutils (0.157-1) unstable; urgency=low

  * New upstream release
    - Update portability and robustify patch
    - Make arm_backend.diff apply to the new upstream version
    - Adjust symbol files for new symbols
  * Adjust addrcfi test results for arm to work with our arm patch.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 01 Oct 2013 18:21:23 +0200

elfutils (0.156-1) unstable; urgency=low

  * New upstream release
    - Update portability and robustify patch
    - Make hppa_backend.diff, arm_backend.diff, mips_backend.diff,
      m68k_backend.diff, testsuite-ignore-elflint apply to the new
      upstream version
    - Drop patches elf_end_unlock.patch, alldts.patch, strip_sh_type.patch:
      applied upstream
    - Works with binutils-gold (Closes: #647359)
    - Works with gcc 4.8 (Closes: #701271)
  * drop elf_additions.diff, it's not used.
  * Remove config.h.in and test-driver during clean (Closes: #695927)
  * Add build dependency on gcc-multilib [amd64] to have a working gcc -m32
    for the test suite.
  * arm backend: change r12 back to signed, no idea why it was made unsigned.
  * arm backend: rename the "special" set to "state".
  * Our arm backend patch adds more registers, update the arm_backend.diff to 
    expectd those changes in the test suite
  * disable thread safety, it's not tested upstream.
  * Update libdw1.symbols

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 28 Jul 2013 14:32:23 +0200

elfutils (0.153-2) unstable; urgency=low

  * Make it actually build properly using build-arch.  (Closes: #684528)
  * Call rwlock_unlock() before rwlock_fini().  The lock was still held
    causing problems on kfreebsd.  (Closes: #662041)
  * Don't exclude sh_type >= SHT_NUM from stripping, it's set to
    SHT_MIPS_DWARF on mips. (Closes: #662041)
  * readelf -w didn't show the content of debug sections on mips
    because sh_type was set to SHT_MIPS_DWARF.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 18 Sep 2012 21:12:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [amd64]
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.8.4
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,10 @@
         make_check = no
 endif
 
+ifneq (,$(findstring aarch64, $(DEB_HOST_GNU_TYPE)))
+        make_check = no
+endif
+
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -41,7 +45,7 @@
 		./configure $(confflags) --prefix=/usr \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--enable-maintainer-mode \
-		--program-prefix=eu- --enable-thread-safety
+		--program-prefix=eu-
 
 build: build-stamp
 build-stamp:  config.status
@@ -68,6 +72,8 @@
 	rm -f INSTALL aclocal.m4
 	rm -f config/depcomp config/install-sh config/missing config/ylwrap
 	rm -f config/config.guess config/config.sub elfutils.spec
+	rm -f config.h.in
+	rm -f config/test-driver
 	rm -rf autom4te.cache
 	rm -f rm Makefile.in backends/Makefile.in config/Makefile.in lib/Makefile.in libasm/Makefile.in libcpu/Makefile.in libdw/Makefile.in libdwfl/Makefile.in libebl/Makefile.in libelf/Makefile.in m4/Makefile.in src/Makefile.in tests/Makefile.in
 	rm -f libdw/known-dwarf.h

## elfutils 0.158

=== debian/changelog ===
elfutils (0.158-0ubuntu5) trusty; urgency=medium

  * debian/rules: force -O2 to work around build failure with -O3.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 17 Feb 2014 12:56:43 -0700

elfutils (0.158-0ubuntu4) trusty; urgency=medium

  * Show test-suite log and logs of failing tests in case of failures.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2014 09:50:09 +0100

elfutils (0.158-0ubuntu3) trusty; urgency=medium

  * Ignore run-backtrace-native.sh and run-backtrace-dwarf.sh test failures
    on powerpc and ppc64el. See LP #1268847.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2014 07:27:16 +0100

elfutils (0.158-0ubuntu2) trusty; urgency=medium

  * Fix test cases, when /proc/sys/kernel/core_uses_pid is set to 0.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 19:55:50 +0100

elfutils (0.158-0ubuntu1) trusty; urgency=medium

  * New upstream version, adding AArch64 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 12:37:48 +0100

elfutils (0.157-3) unstable; urgency=low

  * Build-Depend on gcc-multilib on [any-amd64] instead of [amd64]

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 17 Nov 2013 22:54:31 +0100

elfutils (0.157-2) unstable; urgency=low

  * Application in the readelf binary package, libdw1 itself use internal
    APIs from libelf and so need a strict dependency on the same libelf1
    binary package.  libasm1 also needs a strict dependency on libdw1 since
    it uses libebl.a and so uses the MODVERSION to openthe backends.  The
    dependency from libasm1 to libdw1 was missing.
    Disabling the thread safety resulted in struct Elf's size changing
    causing things like eu-readelf to break when an older libelf1 was
    installed.
  * Apply patch from upstream to fix the IA64 regression failure
    with a powerpc binary

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 03 Nov 2013 15:20:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [amd64]
+Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [any-amd64]
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.8.4
 Section: libs
@@ -12,7 +12,7 @@
 Section: utils
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, libdw1 (= ${binary:Version}), ${misc:Depends}
+Depends: ${shlibs:Depends}, libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version}), ${misc:Depends}
 Description: collection of utilities to handle ELF objects
  Elfutils is a collection of utilities, including eu-ld (a linker),
  eu-nm (for listing symbols from object files), eu-size (for listing the
@@ -62,7 +62,7 @@
 Package: libdw1
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, libelf1 (= ${binary:Version}), ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: library that provides access to the DWARF debug information
  libdw1 provides a library that provides access to DWARF debug information
@@ -73,7 +73,7 @@
 Package: libasm1
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version}), ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: library with a programmable assembler interface
  The libasm1 package provides a library with a programmable assembler

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://fedorahosted.org/releases/e/l/elfutils/(\d.\d*)/elfutils-(.*).tar.bz2

## elfutils 0.159

=== debian/changelog ===
elfutils (0.159-4.2+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Team. 
  * CVE-2019-7665
    Due to a heap-buffer-overflow problem in function elf32_xlatetom()
    a crafted ELF input can cause segmentation faults.
  * CVE-2019-7150
    Add sanity check for partial core file dynamic data read.
  * CVE-2019-7149
    Due to a heap-buffer-overflow problem in function read_srclines()
    a crafted ELF input can cause segmentation faults.
  * CVE-2018-18521
    By using a crafted ELF file, containing a zero sh_entsize, a
    divide-by-zero vulnerability could allow remote attackers to
    cause a denial of service (application crash).
  * CVE-2018-18520
    By fuzzing an Invalid Address Deference problem in function elf_end
    has been found.
  * CVE-2018-18310
    By fuzzing an Invalid Address Read problem in eu-stack has been found.
  * CVE-2018-16062
    By using an AddressSanitizer a heap-buffer-overflow has been found.
  * CVE-2017-7613
    By using fuzzing it was found that an allocation failure was not 
    handled properly.
  * CVE-2017-7612
    By using a crafted ELF file, containing an invalid sh_entsize, a
    remote attackers could cause a denial of service (application crash).
  * CVE-2017-7611
    By using a crafted ELF file a remote attackers could cause a denial
    of service (application crash).
  * CVE-2017-7610
    By using a crafted ELF file a remote attackers could cause a denial
    of service (application crash).
  * CVE-2017-7608
    By fuzzing a heap based buffer overflow has been detected.

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 25 Jan 2018 19:03:02 +0100

elfutils (0.159-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply an upstream patch to fix the build failure on arm64 (closes: #776523).

 -- Michael Gilbert <mgilbert@asachi.debian.org>  Fri, 13 Feb 2015 22:30:44 +0000

elfutils (0.159-4.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2014-9447: path traversal issue in ar (closes: #775536).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 26 Jan 2015 01:49:30 +0000

elfutils (0.159-4) unstable; urgency=medium

  [ Wookey ]
  * Fix failing run-native-test on arm64 (from Mark Wielaard)
    (Closes: #753552)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 06 Jul 2014 15:21:48 +0200

elfutils (0.159-3) unstable; urgency=medium

  * Make it build again on the non linux ports.
  * Handle unaligned data when reading core files.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 24 Jun 2014 22:14:25 +0200

elfutils (0.159-2) unstable; urgency=medium

  * Add patches from Mark Wielaard <mjw@redhat.com> to make
    things work on armhf.
  * Build-Depends on libc6-dbg on arm* to make the backtrace
    tests work instead of skip.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 15 Jun 2014 16:15:55 +0200

elfutils (0.159-1) unstable; urgency=medium

  * New upstream release
    - Removed patches applied upstream: elfutils-robustify.patch, 
      core_filename.patch, CVE-2014-0172.patch, unwind_non_linux.patch
    - Add libdwelf.h to libdw-dev
    - New functions in libdw: udpate symbols file
  * Also output tests/test-suite.log on failure
  * Also Build-Depend on libc6-dbg on powerpcspe, ppc64 and ppc64el

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 26 May 2014 22:03:29 +0200

elfutils (0.158-2) unstable; urgency=medium

  * There is no support for unwinding on non-Linux ports, make it
    build on them and make the test suite skip the tests.
  * Build-Depend on libc6-dbg on powerpc so that we have unwind
    information.  This is a work around for things not being 
    build using -fasynchronous-unwind-tables
  * Output tests/test-suite.log
  * Add support for parallel building

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 01 May 2014 19:04:06 +0200

elfutils (0.158-1) unstable; urgency=medium

  * New upstream release
    - Drop patch applied upstream
    - Add supports for arm64 (Closes: #745368)
    - Update libdw1.symbols.
  * Apply core_filename.patch from Matthias Klose
  * Fix CVE-2014-0172 (Closes: #744017)
  * Add upstream signing key.
  * Remove config/ar-lib file during clean

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 21 Apr 2014 12:59:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: elfutils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [any-amd64]
+Maintainer: Kurt Roeckx <kurt@roeckx.be>
+Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [any-amd64], libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64]
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.8.4
 Section: libs

## elfutils 0.160

=== debian/changelog ===
elfutils (0.160-0ubuntu2) utopic; urgency=medium

  * Disabled the patches for the hppa, mips and m68k backends.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 15:57:19 +0200

elfutils (0.160-0ubuntu1) utopic; urgency=medium

  * New upstream version.
  * Drop patches applied upstream.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 14:22:00 +0200

elfutils (0.159-4ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable, remaining Ubuntu changes:
    - debian/rules: force -O2 to work around FTBFS with -O3
  * Add ppc64el patches (ppc64el-elf.h-update, ppc64el-ELFv2-abi-support).
    Closes: #754798.
  * Fix report_r_debug for prelinked libraries (taken from Fedora).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Aug 2014 10:42:44 +0200

elfutils (0.159-3ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable, remaining Ubuntu changes:
    - debian/rules: force -O2 to work around FTBFS with -O3
  * Fix failing run-native-test on arm64 (Closes: #753552)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 03 Jul 2014 13:07:40 -0600

elfutils (0.159-2ubuntu1) utopic; urgency=medium

  * debian/rules: restore "force -O2 to work around build failure with -O3."
    that still seems required on ppc64el build

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Jun 2014 12:09:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -30,13 +30,14 @@
 ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
         make_check = no
 endif
-
-ifneq (,$(findstring aarch64, $(DEB_HOST_GNU_TYPE)))
-        make_check = no
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS)
 endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+CFLAGS := $(subst -O3,-O2,$(CFLAGS))
 
 config.status: configure.ac
 	dh_testdir
@@ -51,14 +52,15 @@
 build-stamp:  config.status
 	dh_testdir
 
-	$(MAKE)
+	$(MAKE) $(MAKEFLAGS)
 
 ifeq ($(make_check), yes)
 	# Check that those files exist.
 	-ls -l /proc/$$$$/maps
 	-ls -l /proc/$$$$/auxv
 	-ls -l /proc/$$$$/
-	LC_CTYPE=C $(MAKE) check
+	LC_CTYPE=C $(MAKE) check $(MAKEFLAGS) || { cat tests/test-suite.log; exit 1; }
+	cat tests/test-suite.log
 endif
 
 	touch build-stamp
@@ -70,12 +72,12 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f configure version.h
 	rm -f INSTALL aclocal.m4
-	rm -f config/depcomp config/install-sh config/missing config/ylwrap
+	rm -f config/depcomp config/install-sh config/missing config/compile config/ylwrap config/ar-lib
 	rm -f config/config.guess config/config.sub elfutils.spec
 	rm -f config.h.in
 	rm -f config/test-driver
 	rm -rf autom4te.cache
-	rm -f rm Makefile.in backends/Makefile.in config/Makefile.in lib/Makefile.in libasm/Makefile.in libcpu/Makefile.in libdw/Makefile.in libdwfl/Makefile.in libebl/Makefile.in libelf/Makefile.in m4/Makefile.in src/Makefile.in tests/Makefile.in
+	rm -f rm Makefile.in backends/Makefile.in config/Makefile.in lib/Makefile.in libasm/Makefile.in libcpu/Makefile.in libdw/Makefile.in libdwfl/Makefile.in libebl/Makefile.in libelf/Makefile.in m4/Makefile.in src/Makefile.in tests/Makefile.in libdwelf/Makefile.in
 	rm -f libdw/known-dwarf.h
 
 	dh_clean

## elfutils 0.163

=== debian/changelog ===
elfutils (0.163-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix finding the detached debug info when no build-id's are used.
    Closes: #795386.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Aug 2015 12:25:05 +0200

elfutils (0.163-5) unstable; urgency=medium

  * Fix typo in 0003-Add-mips-n64-relocation-format-hack.patch that
    causing crash (Closes: #794488)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 08 Aug 2015 15:12:31 +0200

elfutils (0.163-4) unstable; urgency=medium

  * More fixes for kfreebsd and hurd

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 21 Jul 2015 11:39:55 +0000

elfutils (0.163-3) unstable; urgency=medium

  * Fix build failures on kfreebsd and hurd

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 21 Jul 2015 13:01:57 +0200

elfutils (0.163-2) unstable; urgency=medium

  * Drop non_linux.patch, it has been applied upstream

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 20 Jul 2015 15:49:09 +0200

elfutils (0.163-1) unstable; urgency=medium

  * New upstream release
    - Drop arm_unsupported.patch, arm64.patch, CVE-2014-9447.patch,
      arm_syscall.patch, arm_func_value.patch, arm_unwind_ret_mask.patch,
      unaligned.patch, aarch64-run-native-test-fix.patch: applied upstream
    - Added ppc64el support (Closes: #754798)
    - Fixed too much string replacement (Closes: #775117)
  * Add flex and bison to build-depends
  * Change hppa, m68k and mips backend to not use the removed DW_TAG_mutable_type.
  * Ignore errors on kfreebsd in the native test suite (Closes: #649038)
  * Add mips64el support (Closes: #774639)
  * install known-dwarf.h in libdw-dev
  * Update libdw1.symbols file

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 20 Jul 2015 14:30:21 +0200

## elfutils 0.165

=== debian/changelog ===
elfutils (0.165-3ubuntu1) xenial; urgency=medium

  * Fix finding the debug info for Ubuntu kernels (Mark Wielaard). LP: #1537125.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 16:57:49 +0100

elfutils (0.165-3) unstable; urgency=medium

  * Add patches from Mark Wielaard to fix non-Linux issues.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 16 Jan 2016 17:53:34 +0100

elfutils (0.165-2) unstable; urgency=medium

  * Make the new libelf.h work with older elf.h from glibc (Closes: #810885)

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 13 Jan 2016 17:50:08 +0100

elfutils (0.165-1) unstable; urgency=medium

  * New upstream release
  * Install libelf.pc and libdw.pc file.
  * Update libelf1.symbols and libdw1.symbols with 0.165 version

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 11 Jan 2016 21:28:32 +0100

elfutils (0.164-1) unstable; urgency=medium

  * New upstream release
    - Fixes sparc64 issues (Closes: #805630)
    - Drop patches applied upstream: 0001-Reduce-scope-of-some-includes.patch, 
      0002-tests-Mark-an-unused-argument-as-such.patch,
      0003-tests-dwfl-bug-fd-leak-Guard-against-null-module-add.patch,
      0004-tests-skip-run-deleted.sh-when-dwfl_linux_proc_attac.patch,
      pr18792.diff
    - Remove redhat-portability.diff and scanf-format.patch
    - Update backend to use to stop using the old-style function
      definition: hppa_backend.diff, m68k_backend.diff, mips_backend.diff

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 26 Dec 2015 20:55:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: elfutils
 Priority: optional
 Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [any-amd64], libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64]
+Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [any-amd64], libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64], flex, bison
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.8.4
 Section: libs

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=pgpsigurlmangle=s/$/.sig/ https://fedorahosted.org/releases/e/l/elfutils/(\d.\d*)/elfutils-(.*).tar.bz2

## elfutils 0.166

=== debian/changelog ===
elfutils (0.166-2ubuntu1) yakkety; urgency=medium

  * Don't run the run-backtrace-native-biarch test.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Aug 2016 13:17:23 +0200

elfutils (0.166-2) unstable; urgency=medium

  * Actually add ignore_strmerge.diff to the patch series.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 23 Jul 2016 18:46:20 +0200

elfutils (0.166-1) unstable; urgency=medium

  * New upstream release
  * Ignore run-native-test on Hurd, the maps file doesn't have
    paths in it.  Patch from Samuel Thibault <sthibault@debian.org> 
    (Closes: #682101)
  * Make cross compilation actually work.  Patch from Helmut Grohne
    <helmut@subdivi.de>  (Closes: #818099)
  * Add libebl.a to libdw-dev (Closes: #825747, #647918)
  * Ignore strmerge test failured, needed on at least mips.  Patch
    from Jurica Stanojkovic <Jurica.Stanojkovic@imgtec.com>
    (Closes: #818485)
  * Change versioned build-depends on debhelper from 8.1.3 to 9 to
    make lintian happy.
  * Update Standards-Version to 3.9.8, no changes required.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 23 Jul 2016 17:25:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: elfutils
 Priority: optional
 Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [any-amd64], libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64], flex, bison
+Build-Depends: debhelper (>= 9), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [any-amd64], libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64], flex, bison
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.8.4
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://fedorahosted.org/elfutils/

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
-        confflags += --build=$(DEB_HOST_GNU_TYPE)
+        confflags += --build=$(DEB_HOST_GNU_TYPE) --enable-maintainer-mode
         make_check = yes
 else
         confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
@@ -37,15 +37,18 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-CFLAGS := $(subst -O3,-O2,$(CFLAGS))
 
 config.status: configure.ac
 	dh_testdir
 	autoreconf -fis
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	./configure --enable-maintainer-mode
+	$(MAKE) $(MAKEFLAGS)
+	$(MAKE) clean
+endif
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
 		./configure $(confflags) --prefix=/usr \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		--enable-maintainer-mode \
 		--program-prefix=eu-
 
 build: build-stamp
@@ -91,7 +94,6 @@
 	# Add here commands to install the package into debian/tmp
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	# We do not provide a libebl anymore, use libdw instead.
-	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libebl.a
 	rm debian/tmp/usr/include/elfutils/libebl.h
 
 # Build architecture-independent files here.

## elfutils 0.168

=== debian/changelog ===
elfutils (0.168-1) unstable; urgency=medium

  * Fix CVE-2017-7607 (Closes: #859996)
  * Fix CVE-2017-7608 (Closes: #859995)
  * Fix CVE-2017-7609 (Closes: #859994)
  * Fix CVE-2017-7610 (Closes: #859993)
  * Fix CVE-2017-7611 (Closes: #859992)
  * Fix CVE-2017-7612 (Closes: #859991)
  * Fix CVE-2017-7613 (Closes: #859990)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 27 May 2017 15:05:37 +0200

elfutils (0.168-0.2) unstable; urgency=medium

  * debian/copyright: Update to the current licensing, as introduced
    with elfutils 0.154.
  * Drop the m68k_backend.diff patch.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Dec 2016 14:23:54 +0100

elfutils (0.168-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release
    - m68k_backend.diff: Don't apply.
    - testsuite-amd64-fix-backtrace-native.patch: Remove, applied upstream.
    - Refresh patches.
    - Build failure on non Linux targets fixed. Closes: #816394.
  * Update libdw1 symbols file.
  * Improve DEB_BUILD_OPTIONS=nocheck handling (Helmut Grohne). See #832456.
    - Don't treat DEB_BUILD_OPTIONS=casinocheck as nocheck.
    - Don't default to nocheck for cross building.
    - Annotate Build-Depends: gcc-multilib with <!nocheck> profile.
  * Update reference to new sourceware.org home.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Dec 2016 06:09:04 +0100

elfutils (0.166-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * testsuite-amd64-fix-backtrace-native.patch: Backport upstream
    patch to fix FTBFS on amd64 (Closes: #841124)

 -- James Clarke <jrtc27@jrtc27.com>  Tue, 18 Oct 2016 08:13:34 +0100

elfutils (0.166-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on gcc-multilib and libc6-dbg on sparc64 (Closes: #832584)

 -- James Clarke <jrtc27@jrtc27.com>  Fri, 07 Oct 2016 15:16:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: elfutils
 Priority: optional
 Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Build-Depends: debhelper (>= 9), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [any-amd64], libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64], flex, bison
+Build-Depends: debhelper (>= 9), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [any-amd64 sparc64] <!nocheck>, libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64 sparc64], flex, bison
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.9.8
 Section: libs
-Homepage: https://fedorahosted.org/elfutils/
+Homepage: https://sourceware.org/elfutils/
 
 Package: elfutils
 Section: utils
